Jump to content
therock005

Action Planner for Productivity

Recommended Posts

therock005

When drawing on Autocad there are always little things i have to remember to do and i usually write these down to be able to recall them, and get to the finished product. I'm wondering if there some kind of tool, routine or whatever that can help with that. Like have a panel to the side, write things you want to get done, and even link them to actions interactively. Like lets say i want to remember to change some font. Write on some side bar a "change font" task and when clicking on it, it prompts to select text entities that i want that specific property to change. Or lets say i want to remember to label the dimensions and i wirte label walls and the dimensioning dialog appear when i click on that task

Could there be something like that, to help with remember all those minor details that are inside my head each time

Share this post


Link to post
Share on other sites
BIGAL

"Sticky notes" does just that nothing to do with Autocad, google.

Share this post


Link to post
Share on other sites
Cad64

I just use Notepad. Before I close down my drawings for the day, I open Notepad and jot down all the things I need to remember to do tomorrow.

As for having Autocad interact with your notes in a side bar, I'm not sure how you would go about doing that. There is nothing within the program that will do what you're asking. You would need some sort of custom utility, but even then I'm not sure how it would work? It would have to be intuitive enough to read your notes and pick out certain key words that would trigger certain actions. Seems pretty complicated. 😕

Share this post


Link to post
Share on other sites
BIGAL

Like Cad64 very hard to write artificial intelligence, one thing though you could at least have a link between dwg name and the saved notepad file and when you open a dwg check if a file exists then open it. Simple lisp in your autoload startup no need for a flashy reactor. Same thing with new or edit existing open/create a file with dwg name.

Share this post


Link to post
Share on other sites
therock005

I'm already writing multiline entires inside the drawings for the todos but thats too plain. I was thinking if no such thing exists, some kind of a routine that links the text to the command.

For example lets say my to do is "connect lines through the points". When i select this interactive text i will have it linked with the line command, and then the line operation will start

Share this post


Link to post
Share on other sites
steven-g

If you start your notes with the actual command name eg. "line - connect through the points"

then this code will take the first word and issue it as a command.

(defun C:todo()
  (setq txt(vla-get-TextString(vlax-ename->vla-object (car (entsel)))))
  (command (substr txt 1(setq position (vl-string-search " " txt))))
)

 

Share this post


Link to post
Share on other sites
Aftertouch

I place a block with a number in my DWG.

This block had a number attribute and a message attribute.

With the press of a button, i get a autocad table with all my notes sorted out.

Delete the block, refresh teh table, and tadaa, i got less to remember. 🙂

Share this post


Link to post
Share on other sites
BIGAL

Maybe taking Steven-g and aftertouch ideas a bit further adding to the write a text file as I suggested you could make a table, make mtext or read the line from the file and start the command repeating till an end of file is reached, you can also append to a file new stuff to do, thinking a bit more you could save inside the drawing using xdata. 

Share this post


Link to post
Share on other sites
BIGAL

Hmm maybe 

1st image post here goes

 

ScreenShot136.jpg

Share this post


Link to post
Share on other sites
BIGAL

Here is a simple start started playing with this at work. Put these into autoload lisp.

(defun c:todo ( / dwgname dwgpre todofname )
  (setq dwgname (GETVAR "dwgname"))
  (setq dwgname (substr dwgname 1 (- (strlen dwgname) 4)))
  (setq dwgpre (getvar "dwgprefix"))
  (setq todofname (strcat dwgpre dwgname ".Txt" ))
  (startapp "notepad" todofname)
)

 

(defun chktodo ( / dwgname todoname found)
(setq dwgname (GETVAR "dwgname"))
(setq dwgname (substr dwgname 1 (- (strlen dwgname) 4)))
(setq todoname (strcat (getvar "dwgprefix")  dwgname ".txt" ))
(setq found (findfile todoname))
(if (/= found nil)
(startapp "notepad" todoname)
(princ "Todo")
)
)
(chktodo)
(defun c:tododel ( / dwgname todoname)
(setq dwgname (GETVAR "dwgname"))
(setq dwgname (substr dwgname 1 (- (strlen dwgname) 4)))
(setq todoname (strcat (getvar "dwgprefix")  dwgname ".txt" ))
(vla-file-delete todoname) 
)

 

Edited by BIGAL

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×